label birthing_tree:
window hide
with Pause(1)
show text "The Birthing Tree" with dissolve
with Pause(2)
hide text with dissolve
window show
show woods zorder 1 with dissolve
"""

The sound contains another sound, one you know well: the exploding, cracking, snapping of a tree's fibres breaking.

It is not uncommon for trees simply to fall without human intervention, especially now when all they have to sustain themselves is the cold light of moon and stars.

But however grand the death of a tree, it is not usually so explosive.  Or, indeed, so wet.

You are approaching the place where the sound came from, almost losing your trail in the dead quiet of the forest, when you pick up on another sound from the same area.

The fleshy slapping of clumsy, running, naked feet.

It moves away from you and you come across the thing that made the first sound.

Despite the sound, the tree has not actually fallen.  Despite {i}everything{/i}, the tree has not fallen.

Felling a tree is delicate, dangerous work.  A constant balance must be struck between respecting its strength and fearing its fragility.  A careless cutter can fell a tree in moments, but most likely the first sign of her victory will be the cracking of her skull.

It is a game of preparation and angles, relatively small chunks taken out of great mammoth beasts, tiny points of weakness exploited to topple a giant.

It would be unfair to describe what has been taken out of this tree as a 'chunk'.  

A hole, just larger than a third of the trunk's circumference at its widest and several feet tall at its tallest, has been violently ripped out of the bark.  

From the inside.

The dark pit that greets you shows you, without the need for closer examination, that the tree is hollow.  No more than a centimetre or so of bark defines the sides of the space.

Something large, almost as large as you, hangs half in and half out of the hollow, caught and skewered and bleeding onto the snow.

The thing is flesh, that much is certain, but without shape, like some giant's internal organ ripped out and left to flop over the jagged, broken bark of the shattered tree.

You can still hear the slapping of footsteps, retreating further into the darkness of the forest.  The bloody footprints in the snow would make tracking the person trivial.
"""
menu:

    "*Examine the tree and the area around it*":
        $c=1
        """

        You take half a step towards the tree and catch something out of the corner of your eye.

        The tree you have been looking at may be broken and bleeding, but the trees around it are perhaps even more twisted and bizarre.

        The canopy of each, at least from where you stand, appears normal, but as your eyes scan down the deformities become more and more obvious.

        Towards the top of the trunks the bark is twisted and taut, like flesh pulled tight in two directions.  Further down the twisting effect ends, the bark becoming unnaturally smooth as it billows out, undulating slightly but mostly distended in one single growth, so large that, if it had already burst like its neighbour, you could crawl inside.

        Looking back at the sundered tree, it is clear that before it was ruptured, this tree had been the same.
        """
        menu:
            "*Leave*":
                $game.occult_connection -=2
                $c=2

            "*Place your ear against the trunk of one of the growths*":
                $c=3
                """

                You cautiously lean forward to press your ear against the smooth bark of the tree.

                For several seconds you hear nothing.  And then there's a bump, both heard and felt, of something soft, probably something fleshy, lightly impacting with the inside of the growth.

                And then silence and stillness again.
                """
                menu:
                    "*Just leave*":
                        $game.occult_connection -=1
                        $c=2

                    "*Sink your axe into the growth*":
                        $c=4


            "*Sink your axe into one of the growths*":
                $c=4

    "*Follow the bloody footprints*":
        $c=6
        
        """

        You leave the sundered tree behind and quickly move to follow the tracks.

        It does not take long to find the figure.

        She, although it is impossible to really tell the person's sex or gender, is stumbling through the snow, weaving clumsily through the trees.  She moves surprisingly fast, given that she is clearly having trouble staying on her feet and the erratic nature of her movements makes it difficult for you to both follow her and remain hidden.

        At first you think she is naked, but as the dappled starlight allows you to examine her more closely, you see that while you were right, the situation is more complicated than simple nudity.

        As you watch you see her skin rise like a sudden rash, the inflamed red flesh quickly hardening and smoothing into scales.  Her left arm, when you first see it, is covered in thick matted fur, but as you watch the hair falls out in clumps to reveal smooth skin, while at the same time black feathers push themselves bloodily out of the flesh of her upper thigh.

        The changes are constant, the surface of her body flowing - in ways that you can only imagine are extremely painful - between different states, switching between the hides and coats of many different animals.

        It is while you are staring at feathers flattening themselves on the surface of her stomach, their bristles softening and straightening into smooth brown hairs, that you realise that the woman is pregnant.

        Or at least, something like pregnancy.  

        There is less movement with a human foetus.

        The woman suddenly bends over, retching violently.  You hear the sounds of panicked choking and you see her throat bulge, but before you can decide whether you should do something or not, a black crow falls from her mouth to land on the snow, dazed and covered in strings of saliva.

        The woman does not give the bird a second glance as she continues on her loping, staggering run.

        Shocked, you find yourself standing still, the woman briefly moving beyond your gaze as the crow turns to stare at you, nothing in its eyes indicating any more intelligence or awareness than you would expect from a normal example of its species.

        There is a tearing sound and the cry of a screaming fox.

        You run forward.  Much of the woman remains, but much, especially of the torso and upper legs, is gone.  Flesh ripped by tooth and claw, bloody prints - of birds, mammals and lizards - leading away in all directions from the dessicated corpse.  You can still hear the rustle of undergrowth, but you know it would be impossible to catch up with any of the creatures.

        The woman's eyes look up at you unseeing, one brown, the other yellow and slitted like a cat's.

        There is nothing to be done for her.  Nothing to be gained, nothing to be learned as you hear the sound of a crow take flight somewhere behind you.
        """



if c==4:

    """

    It only takes two swings of your axe before the growth, a swelling, liquid-filled hollow, breaks.  Iron-smelling water gushes out of the hole, sloshing away the snow around the roots in an orange tinged wave.

    You pull at the splinters of wood that remain, snapping off sections of bark until something large and solid falls out to twitch at your feet.

    In some ways it resembles a human, but it would never be mistaken for one.  Its head its about the size of its body, the face dwarfed by the rising, shelf-like forehead above it.  

    Its limbs are small and stunted, the arms ending in fleshy stumps which only have the barest suggestion of fingers, while the legs, flailing and unable to touch the ground given the comparatively great width of the torso, end in a curl that has much more in common with a claw than a foot.

    The surface of the skin is mottled, raw pink flesh here, feathers - most black but some more exotic colours - there, occasionally scales and a variety of different colours and coarsenesses of fur.

    The stomach is distended, as if the creature were pregnant, and as you watch its body spasms, some internal systems pushing a greasy feathered form, so mangled as to be little more than a pile of feathers, skin and broken bones, out of the beak like lips. 

    It is clear that, while the thing is not technically dead, it is certainly not alive.

    Something pierces the skin of the thing's belly, a claw appearing through the flesh.  Thin, watery blood runs as the surface parts, a paw - pushing out mostly through building pressure within the collapsing organs - poking out, before the whole front of the thing gives way and a steaming pile of fur, feathers and scales pours out onto the snow.  

    That too twitches, different parts separating from each other in the last few spasms of a purely instinctive life, before the whole scene comes to rest, the air clean with the smells of thin blood.
    """
    menu:
        "*Take the things from the stomach back for use as blankets in town*":
            $c=5
            """

            You gather up the warm pile of animal stuff, small soft bones giving very little shape to any part of the collection.

            Much of it won't be usable, but some of it will be.  Either way, you do not envy whoever it is who has to sew it all together.
            """
            $game.town_stability +=1


        "*Leave the dead thing and return to work.  There's nothing more you can do here*":
            $c=2


if c==2:

    "Shuddering, you turn your back on the scene.  You have work to do and whatever is happening here, it probably isn't good."

    $game.town_stability +=2


hide woods with dissolve
return